#pragma once
#include <string>
#include <vector>
#include <map>

#include "CivPoint.h"
#include "pandaWaterCore.h"

typedef std::string String;
/**
    ռ伸
*/
class PANDAWATERCORELIB_API CivGeometry
{
public:   
    // 
    enum GeometryType
    {
        SingleLine, // 
        MultiLine, // 
        Point, // 
        Polygon // 
    };

    CivGeometry(GeometryType type);
    ~CivGeometry();

    /**
     * @brief ıɼ
     * @param [text] ıļɼ
     */
    static CivGeometry fromWktext(const std::string& text);

    // 
    GeometryType type() const { return mGeometryType; }

    /**
     * @brief л
     * @param [text] ıļɼ
     */
    String toJson() const;

private:
    GeometryType mGeometryType;
    std::vector<CivPoint> mPoints;
};
